import express from 'express'
import cors from 'cors'
import config from "./config.json" with {type: 'json'}

const app = express()
const port = 5000

app.use(cors())

app.get('/giact-data/:txnId', async (req, res) => {
  let txnId = req.params.txnId

  let sandbox_base_url = "https://apiv2.stage.payrix.com/risk/v2"
  let production_base_url = "https://apiv2.payrix.com/risk/v2"

  let result_data

  console.log(txnId);
  let giact_url = `${sandbox_base_url}/decision/policy-run-summary?stage=auth&transactionId=${txnId}`
  await fetch(giact_url, {
    headers: {
      "Content-Type": "application/json",
      "Authorization": config.private_api_key,
      "legacy-auth-header-name": "APIKEY" 
    }
  })
  .then(res => res.json())
  .then(data => {
    result_data = data
  })
  .catch(err => console.log(err))
  console.log(result_data);
  res.json(result_data)
})

app.listen(port, () => {
  console.log(`Example app listening on port ${port}`)
})
